KinematicsDesign
KinematicsDesign Introduction


Introduction

KinematicsDesign Foreword
KinematicsDesign / Introduction
Introduction


Foreword

Introduction
KinematicsDesign / Introduction / Foreword
Foreword
KinematicsDesign is a program for the interactive creation of kinematics descriptions for iTNC 530 and NCK-based controls.

The graphic display of the entire kinematics system especially simplifies the entry of collision objects for dynamic collision monitoring (DCM).

  • Clear display and editing of one or more kinematics descriptions in a tree view
  • Input fields for editing the kinematics elements
  • Editing local kinematics files or the current kinematics of a control via the LSV2 interface
  • Graphic representation of the entire kinematics chain
  • Support of DCM by visualizing the collision bodies and display of exclusion objects
  • Generation of fixtures and fixture templates
  • Display of STL files
  • Separate program for creating fixtures from templates (FixtureWizard)
  • Visualization with current or simulated axis positions and display of collisions
  • Visualization of the current or simulated tool from a tool table, and support of tool-carrier kinematics
  • Transmission and editing of the tool table
  • Import function for iTNC 530 tables into NCK kinematics
KinematicsDesign is available in German and in English.


What’s New?

Foreword System Requirements
KinematicsDesign / Introduction / What's New?
What's New?
Version 2.0 includes these new functions:

  • Display of STL files
    STL files
  • Undo
    Cutting / Copying / Pasting / Deleting / Undo
  • Input aid for holes
    Inserting elements
  • Numeric input fields with Up/Down buttons
    Editing elements, iTNC530, Editing elements, NCK
  • Switching the perspective view on and off
    General information about graphics
  • Support of multiple task tools
    Tool table
  • Optional transfer of MP files from and to the control
    Connection settings, Transmitting kinematics
  • Alternative orientation for individual kinematics
    Editing elements, iTNC530
  • Improved operation


System Requirements

License Agreement
KinematicsDesign / Introduction / System Requirements
System Requirements
  • Windows XP/Vista/7 operating system
  • Screen resolution of at least 1024x768 pixels
Tip
KinematicsDesign does not run on the Windows part of the dual-processor control.


License Agreement

System Requirements Availability
KinematicsDesign / Introduction / License Agreement
License Agreement
The licensed software KinematicsDesign is available on the Internet free of charge to HEIDENHAIN's registered partners.

The detailed usage and license requirements are in the Eula.rtf file, located in the program directory.

By installing KinematicsDesign, you agree to the license requirements.


Availability

License Agreement Getting Started
KinematicsDesign / Introduction / Availability
Availability
iTNC 530

KinematicsDesign processes the new kinematics tables that were introduced with NC version 34049x-01. The old kinematics tables are not supported by KinematicsDesign.

Collision monitoring of collision bodies (CMO file) is available as of version 34049x-02.

As of version 34049x-03, CMO files can also contain transformations (TRANS).

As of version 34049x-03, the current axis positions of the control can be interrogated.

As of version 34049x-04, file paths can also contain relative path entries (relative to the assignment table).

As of version 34049x-04, collision bodies can contain additional collision bodies.

As of version 34049x-04, fixtures can also be monitored.

As of version 34049x-04, the kinematics can be activated and switched via the LSV2 interface.

User-defined tool-carrier kinematics are supported as of version 34049x-05.

Alternative orientations are supported as of version 34049x-07 / 60642x-02.

NCK-based controls

KinematicsDesign supports the simplified kinematics description that was introduced for NCK-based controls with NCK version 597 110-03. The old kinematics description is not supported by KinematicsDesign.

The introduction of collision monitoring and transmission of the current axis positions via the LSV2 interface had not yet been clarified at press time.

The tool table of lathe controls (MANUALplus, CNCPILOT) is not yet supported by KinematicsDesign.


Getting Started

Availability Operation
KinematicsDesign / Introduction / Getting Started
Getting Started
  • iTNC 530
    Open an existing kinematics table or create a new file. You can load both the entire kinematics of a control via the assignment table or various subfiles. When opening, all dependent files are always loaded as well.
    You can also load all collision bodies in a directory at once.
    New/Open /Save
  • NCK-based controls
    Open the file Configfiles.cfg. All configured kinematics are loaded.
    New/Open /Save
  • If you are connected to a control, you can load the current kinematics description from the control in order to edit it.
    Transmitting kinematics
  • Edit the loaded kinematics in the tree view. Add kinematics elements and enter the appropriate parameters.
    iTNC530: Editing kinematics, iTNC530
    NCK: Editing kinematics, NCK
  • Collision bodies and kinematics subfiles/subkinematics can be opened and closed as nodes in the tree view.
    Tree view
  • The current kinematics is always shown as 3-D graphics parallel to the entries.
    General information about graphics
  • Press and hold the left mouse button to open a zoom rectangle.
  • With the right mouse button pressed you can rotate the view in all directions.
  • With the mouse wheel (or the center mouse button) pressed you can rotate the view in all directions.
  • Use the mouse wheel to reduce or magnify the view (zoom function).
  • For the graphic display you can use either simulated axis positions or the actual axis positions on the control.
    Axis positions


Operation

Getting Started User Interface
KinematicsDesign / Operation
Operation


User Interface

Operation General information
KinematicsDesign / Operation / User Interface
User Interface


General information

User Interface Help
KinematicsDesign / Operation / User Interface / General information
General information
The user interface is divided into multiple windows, which can be shown and hidden individually with the commands under View.

  • Main menu
  • Toolbar
  • Kinematics editor with tree view and input fields
  • 3-D graphics of the kinematics with collision bodies
  • Input fields for the tool table and tool number
  • Input fields for the axis positions with step widths and zero positions
  • Input fields to display and position objects from STL files
  • Status bar


Help

General information Tree view
KinematicsDesign / Operation / User Interface / Help
Help
KinematicsDesign features an integrated, context-sensitive help system.

Open the help system by selecting an item from the ? menu, or position the pointer in the window for which you need help, and press F1.

The ? > Shortcuts… command opens a table with all valid keyboard shortcuts.

Navigate within the help system by clicking the underlined green texts (hyperlinks).

The help system has a window with tabs for the individual functions for selecting the help topics.

Contents
Click on this tab to see all the help chapters.

Index
Search the index for keywords by clicking this tab.

Find
Search the entire text of the help system with this tab.

Favorites
If you need this help topic again at a later date, add the current topic to the list of favorites (bookmarks) by pressing the Add button.


Tree view

Help Finding
KinematicsDesign / Operation / User Interface / Tree view
Tree view
All elements of the kinematics description are shown in a clear tree view. Collision bodies and kinematics subfiles/subkinematics are nodes in the tree, and can be opened and closed. Click the small arrow symbols for this.

There is a different symbol for each type of element. The text next to the symbol corresponds to the entry in the Description input field (or the Key field for NCK-based controls), where it can be changed.

The active element is highlighted in the graphics.
General information about graphics

Use the input fields below the tree view to edit all parameters of the currently active element.

In the tree view, mark the element that you want to edit or remove. New elements are always inserted above the element marked.
iTNC530: Editing kinematics, iTNC530
NCK: Editing kinematics, NCK

The View > Tree View command shows or hides the tree view.


Finding

Tree view Context menu
KinematicsDesign / Operation / User Interface / Finding
Finding
Use the Edit > Search... command to search for an object in the table view. Enter the search text. Click the small arrow at the right edge of the input field to open a list of recent search texts.

Not only is the description searched for, but depending on the type of object, other fields that can contain texts are also searched. No difference is made between upper and lower case letters.

Use the Edit > Search Next/Previous... command to search for the next or previous object.


Context menu

Finding Options
KinematicsDesign / Operation / User Interface / Context menu
Context menu
The context menu contains the most important commands for the current situation.

Open the context menu with the right mouse button or the Application key on your Windows keyboard.


Options

Context menu Information about the current kinematics
KinematicsDesign / Operation / User Interface / Options
Options
The Extras > Options... command opens a dialog box for setting the program options.

User-Specific Directory for Prototype Files
Enter an alternative directory for prototype files here if you do not want to work with the default prototypes. The default prototypes will be used if this field is empty.
Prototypes

Load Most Recent Project at Program Start
Activate this check box if the most recently opened project should be reopened at the next program start.


Information about the current kinematics

Options Information about KinematicsDesign
KinematicsDesign / Operation / User Interface / Information about the current kinematics
Information about the current kinematics
Select the Extras > Information... command for additional information about the current kinematics.


Information about KinematicsDesign

Information about the current kinematics Shortcuts
KinematicsDesign / Operation / User Interface / Information about KinematicsDesign
Information about KinematicsDesign
Select the ? > About KinematicsDesign... command for information about the current software version.


Shortcuts

Information about KinematicsDesign iTNC 530
KinematicsDesign / Operation / User Interface / Shortcuts
Shortcuts
Key combination | Command
F1 | Call context-sensitive help
SHIFT+F10 | Open context menu
TAB | Select next field
SHIFT+TAB | Select previous field
CTRL+O | Open file
CTRL+S | Save file
CTRL+N | New file
CTRL+F4 | Close file
ALT+F4 | End program
F6 | Toggle the input focus between the tree view and the graphic
CTRL+X SHIFT+DELETE | Cut active field
CTRL+C CTRL+INSERT | Copy active field to clipboard
CTRL+V SHIFT+INSERT | Paste from clipboard
CTRL+F | Start search
F3 | Find next
SHIFT+F3 | Find previous
CTRL+T | Insert transformation
CTRL+M | Insert machine axis
CTRL+K | Insert collision body
CTRL+D | Insert cylinder
CTRL+Q | Insert cuboid
CTRL+L | Toggle between axis positions online/offline
CTRL+E | Show/hide the coordinate systems of transformations
CTRL+W | Toggle between solid/wire frame model
CTRL+R | Reset view
Arrow keys | Rotate graphics
SHIFT+arrow keys | Move graphics
CTRL+arrow keys | Zoom graphics


iTNC 530

Shortcuts Files
KinematicsDesign / Operation / iTNC 530
iTNC 530


Files

iTNC 530 Overview
KinematicsDesign / Operation / iTNC 530 / Files
Files


Overview

Files
KinematicsDesign / Operation / iTNC 530 / Files / Overview
Overview
You can edit the following table files with KinematicsDesign:

  • The assignment table
  • Kinematics tables
  • Kinematics subfiles tables
  • Collision bodies (CMO files)
  • Tables with exclusion objects for collision bodies
  • Fixtures and tool-carrier kinematics (*.cfx)
  • Templates for fixtures and tool-carrier kinematics (*.cft)
With an assignment table, all referenced kinematics tables, kinematics subfiles and collision bodies are also loaded and shown in the tree view. Collision bodies and kinematics subfiles can be opened and closed as nodes in this tree view.

With kinematics tables all collision bodies are loaded as well. Since the file name of the kinematics subfile is not in the kinematics table itself, but in the assignment table, kinematics subfiles are only created as placeholders.

The only difference between kinematics subfiles and kinematics tables is that kinematics subfiles cannot contain any subfiles themselves.

You can either open and edit one collision body at a time, or open all collision bodies and fixtures in a directory at once.
New/Open /Save

Tables with exclusion objects are edited together with a kinematics table as a property of a collision body.

The tables for fixtures/tool-carrier kinematics and fixtures/tool-carrier kinematics templates are not created as freely-definable iTNC 530 tables, but instead in CSV format (comma separated values). This is a generic format that can be read by many programs, including Microsoft EXCEL.

Tip
If a file exists more than once in a tree, it is not loaded more than once. Internal references are used to edit the same element. Changes to an element therefore affect all locations in the tree view containing this element.


New/Open /Save

Overview File paths
KinematicsDesign / Operation / iTNC 530 / Files / New/Open /Save
New/Open /Save
Use the File > New command to create a new kinematics project. Indicate precisely what is to be created.

Use the File > Open… command to open a kinematics project. Select an assignment table, a kinematics table, or one collision body or one fixture. All referenced files are opened as well. The first time a kinematics file is opened, you may have to enter the path to the assignment table.
File paths.

Use the File > Close command to close the current project without exiting the program.

Save all changed files of the current project by using the File > Save command.

Use the File > Save As... command to save the file of the top level under a new name.

Tip
If you want to save dependent files under new names, change the file names in the properties of the respective elements in the tree view. This is only permissible if a file with this new name does not exist already.
Editing elements, iTNC530

The File > Load CMO Directory... command loads all collision bodies from the given directory.


File paths

Changing directory settings
KinematicsDesign / Operation / iTNC 530 / Files / File paths
File paths
The file paths in the kinematics tables ("FILE" column: kinematics, kinematics subfiles, collision bodies or exclusion files) are either absolute (PLC:\...) or relative to the directory of the assignment table.

In certain circumstances this can lead to problems with the assignment of files on the PC.
If you work with subdirectories, then in any case the directory structure relative to the assignment table on the PC must be identical to that on the control.

Absolute file paths
With absolute paths for the control (PLC:\...) you at first don't know where these files are located on the PC. Therefore, when opening files containing links to files with absolute paths for the control, you must indicate where the assignment table is located on the control. The relative part of the path on the PC is determined from this information.

Tip
Use relative paths if possible. This makes assignment of the files on the PC easier, and you can also simply shift the entire kinematics to another location.

Relative file paths
Starting with version 34049x-04 of the iTNC 530, relative file paths can also be entered.
This way, when the assignment table is opened, all file paths on the PC are known.
However, if you open a kinematics file or subfile, you must enter the location of the assignment table relative to this file in order to resolve the relative paths. The assignment table itself does not even need to exist. Only its relative position to the current directory is important for resolving the relative path information.
If the assignment table is also in the current directory, you can leave the input field empty. Otherwise enter two periods for each higher level.

Example 1
The assignment table is in the C:\Projects\Kinematics directory.
The kinematics subfiles are in the C:\Projects\Kinematics\Subfiles subdirectory.
The collision bodies are in the C:\Projects\Kinematics\CMOs subdirectory.
A kinematics subfile contains a collision body with the path information given as CMOs\CMO_Head.Tab. This file information is relative to the assignment table.

If you open the assignment table, then all file information is known.

However, if you want to open a kinematics subfile, you are prompted to enter the location of the assignment table relative to this file. Since the assignment table in this example is one folder level higher, you enter two periods: "..".
If it were two levels higher, you would have to enter "..\.."
If it were in the parallel directory "KINE", you would have to enter "..\KINE" and so on.

Example 2
Same directory structure as in example 1, but a kinematics subfile contains the absolute path PLC:\KINEMAT\CMOs\CMO_Head.Tab.
If you want open this kinematics subfile on the PC, you must also enter the location of the assignment table on the control, in order to resolve the relative part on the PC. In this example, enter "PLC:\KINEMAT".

The .ini file
The path information described above is saved in the KineDesign.ini file in the current directory. This means that you must only make these entries once.
If something in the directory structure changes, you might have to adjust the entries in the .ini file.
Changing directory settings

Fixture files
Fixture files can themselves contain subfixtures (for example, a three-jaw chuck has three links to the file in which a jaw is defined once). Paths to subfixtures in fixture files are always relative to the fixture files themselves. This way there are no problems with relative paths. Absolute paths may not be used within fixture files.


Changing directory settings

File paths Prototypes
KinematicsDesign / Operation / iTNC 530 / Files / Changing directory settings
Changing directory settings
The Extras > Directories... command opens a dialog box for changing the directory settings that are stored in the KineDesign.ini file for the current kinematics. These settings are normally already determined when the kinematics file is loaded. If something changes in these settings, such as the directory structure of the kinematics, then you can adapt these settings here.
File paths

Directory of the Assignment Table on the CONTROL
This information is required in order to resolve absolute paths within kinematics tables on the PC.

Example
A kinematics table has the entry PLC:\KINEMAT\CMO\CMO_HEAD.TAB for a CMO file in the FILE column. The assignment table is on the control in the PLC:\KINEMAT directory. Therefore, enter PLC:\KINEMAT here.

Path to the Assignment Table RELATIVE to the Current Kinematics Table
Since all relative paths within a kinematics description refer to the directory of the assignment table, this information is needed in order to resolve relative paths. If you do not currently have an assignment table open, but a kinematics table, for example, then enter here where the assignment table is located relative to the currently open file. If the assignment table is in the same directory, you can leave this field empty or enter a period. The directory one level higher is indicated with two periods.

Example
You have the kinematics subfile C:\Kinematik\Subfiles\TABLE.TAB open. The assignment table is in the C:\Kinematik directory, i.e. one level higher. In this case you enter .. here.

Directories of the tool-carrier kinematics

This information may be needed for loading tool-carrier kinematics from a tool table. If a file name for a carrier kinematics file is entered for a certain tool in the tool table, then this file is searched for in the following directories in the order indicated: TNC directory, PLC directory, directory of the assignment table.

TNC Directory of the Tool-Carrier Kinematics
Enter the directory in which the customer-specific carrier kinematics files are located on the PC. Please keep in mind that customer-specific carrier kinematics files must always be cfx files.

PLC Directory of the Tool-Carrier Kinematics
Enter the directory in which the OEM-specific carrier kinematics files are located on the PC. Please keep in mind that OEM-specific carrier kinematics files must always be TAB files.

Tool-carrier kinematics, Tool table


Prototypes

Changing directory settings Editing kinematics, iTNC530
KinematicsDesign / Operation / iTNC 530 / Files / Prototypes
Prototypes
The kinematics are saved in ASCII tables for the iTNC 530. The table format is also saved in these tables. The individual columns are defined here, with type, number of characters and multilingual help texts for the generic table editor on the control. Along with the columns necessary for the kinematics, you can add your own user-defined columns.

This table format is saved for every file type in a prototype file. When a new file is created, a copy of a prototype file with the new name is generated first. New files can be created in two manners: either with the File > New… command, or by inserting a new file in the tree view.

The default prototype files are in a subdirectory of the KinematicsDesign program directory. As an option, you can indicate an alternative directory in order to use prototypes that you have defined yourself. The names of these files have been specified as listed in the table below.
Options

Prototype files:

File name | Type
KINELIST.TAB | Assignment table
KINEMATICS.TAB | Kinematics and kinematics subfiles
CMO.TAB | Collision bodies (CMO file)
DONTTEST.TAB | List of excluded objects
FIXTUREHOOK.TAB | List of fixtures

Proceed as follows if you want to use your own prototype files:

  • Create any prototype directory on your PC.
  • Copy the desired prototype files according to the table above from the Prototypes subdirectory of the KinematicsDesign program directory into your prototype directory.
    If you have already created your own prototype files, then you can of course copy them into the prototype directory and rename them according to the table above.
  • Change these prototype files as you require.
  • Enter your alternative prototype directory under Extras > Options...


Editing kinematics, iTNC530

Prototypes Inserting elements
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530
Editing kinematics, iTNC530
Inserting elements
Editing elements, iTNC530
Collision bodies
Kinematics subfiles
Fixtures
Tool-carrier kinematics
Cutting / Copying / Pasting / Deleting / Undo
Collision lists


Inserting elements

Editing kinematics, iTNC530 Editing elements, iTNC530
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Inserting elements
Inserting elements
Use the commands under Insert to insert new elements above the marked element in the tree view. You can enter the following elements, depending on the type and position of the marked element:

Element | Keyword (KEY) | Comment
Kinematics |  | Kinematics table, new line in the assignment table
Kinematics subfile 1/2 | SUBFILE1/2 | Placeholder for a kinematics subfile. Only once a file name has been entered is the kinematics table created and entered in the assignment table.
Transformation | Trans | Translation or rotation, depending on the axis (A,B,C,X,Y,Z)
Machine axis | MachAxis | Machine axis
Tool-carrier kinematics | TOOLFILE | Placeholder for a tool-carrier kinematics file. Is determined during run time on the control.
Tool axis | ToolAxis | Permitted tool axis
Machine base | MachBase | Specifies the machine base. Is only needed for visualization, and has no influence on the kinematics
Collision bodies | CMO | CMO file, describes a collision body. A collision body consists of one or more simple collision objects.
Cylinder | Cylinder | Cylindrical collision object
Cuboid | Cuboid | Cuboid collision object
Minimum/maximum limitation | LimitMin, LimitMax | Minimum or maximum limit surface
Insertion point for fixtures | Clamp | Fixtures can be inserted here at run time on the control.
Fixture | - - | Creation of a new fixture file
Fixture template *) | - - | Creation of a new fixture template
Variable subfixture | FCMO | Only within a fixture template: variable subfixture (Wizard-CMO)
Variable | Var VarEntry VarTp VarParam | Type: Generic variable Manual input field Manual probing cycle Wizard parameter
Probing cycle | TpRef TpPos TpAng TpRefAng TpCheck | Type: Datum in plane Datum in axis Basic rotation Basic rotation with corner Test position

*) Only if 'Load CMO Directory' was selected.

Please see the Technical Manual of the control for a more exact description of these elements.

Truncated cone
Truncated cones are not supported by collision monitoring. However, KinematicsDesign offers an input aid that uses enclosing cylinder piles to approximate truncated cones. Enter the name, the axis, the height, both radii, the position and the number of steps. For fixtures you can also enter variables or formulas for the height and the radii.

Danger
When using variable radii, please note that the radius of the top must always be smaller than the radius of the base. Otherwise the algorithm will produce an internal cylinder pile, rather than an enveloping one. This would leave parts of the cone unprotected!

Hole
Holes are not supported by collision monitoring. However, KinematicsDesign offers an input aid that uses cuboids to approximate holes. Enter the name, the height, the outside diameter, the hole diameter and the number of corners. For fixtures you can also enter variables or formulas for the height and the diameters.

Danger
Please note that you can insert numerous objects at once with these input aids. The number of steps or corners you enter should therefore be as small as possible so as not to overload the control unnecessarily.


Editing elements, iTNC530

Inserting elements Collision bodies
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Editing elements, iTNC530
Editing elements, iTNC530
In order to edit the parameters of an element, click the desired element in the tree view. The respectively appropriate input fields are opened for the element.

The changes are applied either when you leave the input field or by pressing the ENTER key.

Numerical values can also be changed with the small arrow buttons to the right of the input field.

If the table contains additional, user-defined columns, further input fields are created for them.
The definition of these columns, the maximum length of text fields, and the number of decimal places for numeric values are contained in the table file, and cannot be changed in KinematicsDesign. If necessary, edit the table files with any ASCII editor, and define alternative prototype files.
Prototypes.

Input field | Column title | Meaning
Description | DOC | Any text
File | FILE | File name
Subfile1/2 | SUBFILE1/2 | Kinematics subfile 1 or 2
MP7500 | MP7500 |
MP file *) | MPFILE | MP subfile *)
Alternative orientation | UPW, RIGHTW | Alternative orientation for the 3-D view. Orientation
Axis | AXIS | Transformation axis or machine axis or direction axis of a cylinder
Value | COORD | Value of a transformation
Temperature compensation | TEMPCOMP | Formula for temperature compensation
Kinematic compensation | COMPTAB | Formula for kinematic compensation
Activated | ON/OFF | Collision monitoring is on or off for this collision body
Excluded objects | DONTTEST | Name of the exclusion file
X, Y, Z **) | X, Y, Z | Position and dimensions of a cuboid or offset of a cylinder
Height | HEIGHT | Height of a cylinder
Radius | RADIUS | Radius of a cylinder
Only for fixtures/carrier kinematics: |  |
Dimensions | XSIZE, YSIZE, ZSIZE | Dimensions of a cube within a fixture file
Name | NAME | Name of a variable or a probing cycle
Function | FUNC | Function for determining the value of a variable from a manual probing cycle
Value | VALUE | Value of a variable
Value range | RANGE | Permissible value ranges of a variable with a manual input field e.g. 1...10, ...-3, 100...
Format | SUBTYPE | Format of a variable with a manual input field: Length: Entry of length in mm or inches Angle: Entry of angle in degrees Integer: List type Bool: Logical value
Value in inches | DEFINCH | This is the default value for the variable when "Inch" is set. Only for linear input.
Help graphic | PICTURE | File with help graphic for a variable or a variable subfixture
Label text | LABELID | Plain language or text ID for a variable
Horizontal / vertical view angle***) | VIEWH, VIEWV | View angle used to display the fixture during positioning on the control
Automatic | AUTOVIEW | The view angle of the fixture during positioning on the control is determined automatically
Tilt angle A,B,C | SPA, SPB, SPC | Tilt angle when approaching test points

*) Press the Browse button to select an MP file. However, please keep in mind that an absolute path must be entered on the control (at least up to version 34049x-05). Since the absolute part of the path on the PC is not known, you must enter this manually. Please also note that MP subfiles are optionally transmitted to the control too.
Connection settings

**) Please note that a cuboid is stored in the table file with a minimum/maximum value. For improved handling, these values are entered in KinematicsDesign in terms of positions and dimensions.

***) Press the Apply button to load the current angle as view angle. Press the Test button to rotate the fixture to the indicated view angle.

Please see the Technical Manual of the control for a more exact description of these parameters, as well as the meaning and syntax of the formulas.

Tip
Please note the following when changing file names:

  • If the file does not exist yet, the file is saved under the new name.
  • If the file does already exist, the existing file is loaded and any existing entries in the tree view are overwritten.
  • Relative file paths in TAB files are always relative to the assignment table. Relative file paths in cfx/cft files are always relative to the file in which they are located.
  • If you place your files in subdirectories, the directory structure relative to the assignment table on the PC must be identical to that on the control.
  • Press the Browse button to enter already existing file names.


Collision bodies

Editing elements, iTNC530 Kinematics subfiles
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Collision bodies
Collision bodies
The Enabled check box can be used to exclude the entire collision body from collision monitoring. In the "Axis positions online" operating mode you can activate or deactivate monitoring of the collision body at run-time.

Excluded objects
You can enter a list of objects for which the respective collision body should not be tested as part of the collision monitoring. In general these are objects for which the physical reality of the machine rules out the possibility of collision with each other. Entering exclusion objects reduces processing time during machining. Objects in the same machine axis are implicitly excluded, and do not need to be entered here additionally. HEIDENHAIN recommends exercising great care with these lists, since collision monitoring is extremely compute-intensive.

First enter a file name for the list of exclusion objects.

Add an object to the list by pressing the arrow button to open a selection list of all collision elements in the current kinematics description. Then click the desired element.

Or press this button and then double-click each object in the 3-D graphic that you want to add to the list.
If the SHIFT key is pressed at the same time, then all objects of this collision body are entered in the list. Press the button again to deactivate this function.

Remove a marked object from the list with the delete key.

Tip
If the description of an object in the exclusion list is changed, then the entries in all exclusion lists containing this object are changed accordingly.

You can also enter another CMO file as the file name. In this case the exclusion objects are already determined by this collision body, and cannot be edited here.

Danger
Faulty exclusion lists can lead to collisions! Check the lists with the help of the 3-D graphics and the collision lists.

Collision lists Collision monitoringKinematicsDesign can naturally not detect if an error was made when entering the dimensions of collision bodies. Always test the collision monitoring on the machine as well.


Kinematics subfiles

Collision bodies Fixtures
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Kinematics subfiles
Kinematics subfiles
You can enter up to two kinematics subfiles at any locations in a kinematics file. At first the kinematics subfiles are only placeholders for kinematics files. The names of these kinematics subfiles are listed in the assignment table. Therefore, you can only enter a file name if you have loaded an assignment table. If you only have one kinematics file open, then these placeholders remain empty.


Fixtures

Kinematics subfiles Tool-carrier kinematics
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Fixtures
Fixtures
Generating

You can use KinematicsDesign to generate fixtures and fixture templates for monitoring of fixtures.

Tip
This is just a brief description. Monitoring of fixtures and the generation of fixtures (especially the syntax of formulas and functions) are described in detail in the Technical Manual.

Fixtures are collision bodies that can be placed at predefined positions in the control and measured at run time. In contrast to normal collision bodies, fixtures can also contain mathematical formulas with variables instead of values for transformations or simple collision objects. These variables are resolved on the control during measurement either through the input field or by manual measuring cycles.

Proceed as follows to generate a fixture:

  • Generate a new fixture with File > New...
  • First model the fixture with fixed-value collision objects.
    If you have an STL file for the fixture, you can show it in the 3-D view.
    STL files
  • If the collision body has variable dimensions (e.g. jaw distance of a vise), now insert variables. The type of variable specifies how the variable is resolved. Variables can be used in formulas with their name. The value is the default value for the variable. You can also enter an alternative inch value for this default value. The function specifies how the value of the variable is to be ascertained from a probing cycle. The format and value range define the display format and the value range permissible for manual input fields. You can assign a help graphic to the variables with help graphic. Label text makes language-specific texts possible for the variables.
  • Enter variable transformations with which the position of the fixture is defined relative to the insertion point in the kinematics. Use the names of the variables in a formula for this.
  • Now insert the manual probing cycles that are required to resolve the variable. The type defines the cycle. A probing cycle needs a unique name, with which it can be used in the function of the associated variable. Axis and X,Y,Z specify the direction and position of the symbol on the body to be probed. The view angle determines how the fixture is displayed on the control during positioning of a touch point.
  • Now replace the fixed values of variable dimensions in collision objects by the names of the variables. Wherever numerical values have to be entered, you can also enter variables and mathematical formulas for fixtures.
Tip
Do not model a fixture more delicately than necessary. Try to use as few collision objects as possible so as not to overload the control unnecessarily.

Fixture template

In addition to the fixture, a fixture template includes further variables for the FixtureWizard. The FixtureWizard is a separate program used to generate defined fixtures from a fixture template. Use fixture templates if you have several similar fixtures, which only differ in a few dimensions, for example.

The FixtureWizard is installed together with KinematicsDesign on your computer.

At first you generate a fixture template in the same manner as an actual fixture. In the selection menu for File > New... choose the "Fixture template" type. Add additional variables of the Wizard Parameter type. These variables can be adapted in the Fixture Wizard. Enter the label texts and help graphics to be displayed in the FixtureWizard. Also specify the display format and the value range.

A fixture can also contain subfixtures in separate files. Select the Wizard CMO check box if these subfixtures are to be editable in the FixtureWizard.

Use the Extras > Convert to Fixture Template function to create a template from an actual fixture. Use this function if you want to generate a template for further fixtures similar to an existing fixture.


Tool-carrier kinematics

Fixtures Cutting / Copying / Pasting / Deleting / Undo
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Tool-carrier kinematics
Tool-carrier kinematics
There are two types of tool-carrier kinematics for the iTNC 530.

TAB file
Carrier kinematics in the form of TAB files are handled in principle as kinematics subfiles. The OEM must transmit them either to the kinematics directory or (starting with version 34049x-05) to the PLC:\Toolkinematics directory. You can use KinematicsDesign to create these kinematics just like normal kinematics subfiles.

cfx/cft file
As of software version 34049x-05, the iTNC 530 also supports user-defined carrier kinematics in the cfx format, which is independent of the controls. The end user may also transfer these to the TNC:\system\Toolkinematics directory.

Create cfx files by selecting the Tool-carrier kinematics option when creating a new file.

Tool-carrier kinematics template

Just as with fixture templates, you can also create templates for tool-carrier kinematics (*.cft). Use the FixtureWizard to create defined carrier kinematics from templates.

Tip
Please see the Technical Manual of the control for a more detailed description of tool-carrier kinematics.


Cutting / Copying / Pasting / Deleting / Undo

Tool-carrier kinematics Collision lists
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Cutting / Copying / Pasting / Deleting / Undo
Cutting / Copying / Pasting / Deleting / Undo
The Edit > Cut command cuts out the selected element and places it on the clipboard.

The Edit > Copy command copies the selected element and places it on the clipboard.

The Edit > Paste command inserts the element on the clipboard above the marked element.

The Edit > Delete command deletes the selected element.

The Edit > Undo command undoes the last action.

Tip
When copying a file to the tree view, only another link to the same file is inserted. The file itself is not copied.


Collision lists

Cutting / Copying / Pasting / Deleting / Undo NCK-Based Controls
KinematicsDesign / Operation / iTNC 530 / Editing kinematics, iTNC530 / Collision lists
Collision lists
Use the Extras > Create Collision Lists... command to create two text files in order to check the exclusion criteria. Enter both file names for this.

The Exclusion List contains a list of all pairs of collision bodies that are not to be monitored.
The Collision Check contains a matrix of all bodies monitored for collisions with each other.


NCK-Based Controls

Collision lists Files
KinematicsDesign / Operation / NCK-Based Controls
NCK-Based Controls


Files

NCK-Based Controls General information
KinematicsDesign / Operation / NCK-Based Controls / Files
Files


General information

Files
KinematicsDesign / Operation / NCK-Based Controls / Files / General information
General information
Kinematics are saved in the form of entities with keys and attributes in .cfg files. In principle these entities can be distributed over all .cfg files as you choose. However, it is recommended that you either define one .cfg file for the entire kinematics description, or a separate .cfg file for each subkinematics description.

There is no permanent assignment of axis letters to machine axes with NCK-based controls. Rather, each axis must be configured. It is therefore not possible to open just one .cfg file: the entire configuration with all .cfg files must always be loaded. The machine axis must already have been configured.

The configuration must contain exactly one CfgKinList entity. This is the root element for the entire kinematics description.

The Configfiles.cfg file contains a list of all necessary .cfg files. You can add or remove .cfg files in KinematicsDesign. The list is then updated automatically.


New/Open /Save

General information File paths
KinematicsDesign / Operation / NCK-Based Controls / Files / New/Open /Save
New/Open /Save
There must always already be a configuration in order to edit kinematics. This means that you can only use the File > New... command to create new kinematics projects for an iTNC 530 or individual fixtures.

Use the File > Open… command to open a kinematics project. Enter the Configfiles.cfg file that contains a list of all .cfg files. File paths

Use the File > Close command to close the current project without exiting the program.

Save all changed files of the current project by using the File > Save command.

Tip
Not all .cfg files that are listed in the Configfiles.cfg file need be present in order to open a project. It suffices if all .cfg files with the axis configurations and the kinematics definition can be read.


File paths

Editing kinematics, NCK
KinematicsDesign / Operation / NCK-Based Controls / Files / File paths
File paths
The Configfiles.cfg file contains the file information as it is needed by the control. The paths must be converted to PC directories in order to open the files. The following rules apply:

  • The Configfiles.cfg file is always in the %OEM%\config directory on the control. When this file is opened on the PC, the environmental variable OEM is therefore set to the directory one level above the current directory.
  • If the oemPath attribute is set to the value %OEM%\config (NCK default), the environmental variable oemPath is set to the current directory on the PC.
  • The relative directory structure on the PC and on the control below oemPath (or OEM, if oemPath is not set to %OEM%\config or is not used) must be identical.
  • Files that begin with the environmental variable %usrPath% or %USR% are not loaded, since the kinematics configuration is usually located in %OEM%.
  • If file paths also contain other environmental variables, a dialog prompts the user to indicate which directories are to replace the unknown environmental variables. This information is saved in the KineDesign.ini file in the current directory. This means that you must only make these entries once.
    If something in the directory structure changes, you might have to adjust the entries in the .ini file.
Example:

Configfiles.cfg file

CfgConfigDataFiles {
  key:=“„,
  oemPath:=“%OEM%\\config“,
  usrPath:=%USR%\\config“,
  dataFiles:= [
     „%oemPath%\\aclist.cfg“,
     „%oemPath%\\kine.cfg“,
             :
     „%usrPath%\\user.cfg“
  ],
  updateFiles:=[]
)
With this file information it suffices if all .cfg files are in the same directory as the configfiles.cfg file.


Editing kinematics, NCK

File paths Inserting elements
KinematicsDesign / Operation / NCK-Based Controls / Editing kinematics, NCK
Editing kinematics, NCK


Inserting elements

Editing kinematics, NCK Unused elements
KinematicsDesign / Operation / NCK-Based Controls / Editing kinematics, NCK / Inserting elements
Inserting elements
Use the commands under Insert to insert new elements above the marked element in the tree view.

Element | Entity | Comment
Kinematics list | CfgKinList (kinCompositeModels) | List of all kinematics
Kinematics | CfgKinComposModel (subKinList) | New kinematics. A kinematics file contains a list of kinematics subfiles
Subkinematics | CfgKinSimpleModel (kinObjects) | Subkinematics. A subkinematics description contains a list of kinematics elements
Transformation | CfgKinSimpleTrans | Translation or rotation, depending on the axis (A,B,C,X,Y,Z)
Machine axis | CfgKinSimpleAxis | Machine axis
Machine base | CfgKinAnchor | Defines the machine base

Please see the Technical Manual of the control for a more exact description of these elements. Please note that the availability of these elements depends on the NCK version.
Availability


Unused elements

Inserting elements Importing
KinematicsDesign / Operation / NCK-Based Controls / Editing kinematics, NCK / Unused elements
Unused elements
Kinematics that are not included in CfgKinList cannot be selected on the control. Such kinematic configurations are marked with a grayed-out symbol in the tree view. Use the Selectable check box to specify whether a kinematic configuration is included in CfgKinList. Please note that the number of kinematic configurations permitted in CfgKinList is limited.

Subkinematics and individual elements not used in any kinematic configurations are at the end of the tree view, and also have grayed-out symbols. You can edit these elements completely normally, and add them to a kinematic configuration by copying them to the appropriate location via the clipboard. In this case the grayed-out elements will be removed automatically.

When deleting subkinematics from a kinematics file, it is checked whether any other kinematics file contains this kinematics subfile. If the kinematics subfile is not contained in any other kinematics file, it is appended to the tree view as unused element. Only when you delete this unused element, as well, will the subkinematics be deleted permanently.


Importing

Unused elements Editing elements, NCK
KinematicsDesign / Operation / NCK-Based Controls / Editing kinematics, NCK / Importing
Importing
You can import kinematics and subkinematics from another .cfg file that does not belong to the current project, and can insert existing iTNC 530 kinematics in the current project.

First mark the location in the tree view at which you would like to insert the kinematics or subkinematics. Use the Insert > Import From File... command to select the file you want to import.

Importing from a .cfg file

Depending on which element is marked in the tree view, the selected file is searched for either kinematics or subkinematics. If several matching entries are found, you can choose the key of the desired element in a selection dialog. The selected element and all its subelements are then inserted in the tree view above the marked element. Keys that are already in use are replaced by new, unique keys.

Please note that all subelements must be present in the indicated .cfg file. It is not possible to import complete kinematics where the subkinematics are distributed over several files. In this case you must import the subkinematics individually.

Importing from iTNC 530 kinematics

Enter an iTNC 530 kinematics table as the file. Enter the assignment table in order to import the entire kinematics.

iTNC 530 kinematics are imported according to the following rules:

  • A unique key is assigned to each element. If possible, the entry from the DOC column is used. It may become shortened or have a unique index appended. If this column is empty, a standard key for a new element is inserted.
  • All entries that are not yet supported by the current NCK version are discarded.
  • With NCK-based controls each kinematics description is a list of subkinematics. An iTNC 530 kinematics description, consisting of the main kinematics and at most two kinematics subfiles, is converted into a list of subkinematics.
  • On the iTNC 530 the only axis letters are A,B,C,X,Y,Z. These are converted into the information for axis and direction. If other axis designators (keys) have been configured, then these must be adapted manually.


Editing elements, NCK

Importing Cutting / Copying / Pasting / Deleting / Undo
KinematicsDesign / Operation / NCK-Based Controls / Editing kinematics, NCK / Editing elements, NCK
Editing elements, NCK
In order to edit the parameters of an element, click the desired element in the tree view. The respectively appropriate input fields are opened for the element.

The changes are applied either when you leave the input field or by pressing the ENTER key.

Numerical values can also be changed with the small arrow buttons to the right of the input field.

Input field | Attribute | Meaning
Key name |  | Key, must be unique for all kinematics elements
File |  | .cfg file (memory file)
Axis | axisRef | Machine axis
Value | val | Value of a transformation
Direction | dir | Direction of a transformation or machine axis
Spindle | activeSpindle | Active spindle
Tilting permitted | tiltingAllowed | Tilting permitted
Real-time compensation | realtimeComp | Real-time compensation

Please see the Technical Manual of the control for a more exact description of these parameters.

File

Please note the following when changing file names:

  • When inserting a new element, the .cfg file of the parent element is used as the default memory file. Change the file name if you want to save an entity in a different .cfg file.
  • If the file already exists, then it will be overwritten when it is saved!
  • Enter the file name the way the file is to appear in the file list of the Configfiles.cfg file (with environmental variables).
    File paths
  • If you enter already existing files with the Browse button, you must then insert the environmental variables manually.

Key

The key must be unique for all kinematics elements. A new, unique key is assigned automatically when a new element is inserted. It consists of a prefix, an identifier for the element type, and a sequential index number. The prefix is built from the first characters of the parent element, up to (at most) the first underscore. The key can be up to 18 characters.

You can replace this standard key with a descriptive text, as long as the text remains unique.

Press the arrow button next to the input field for the key names to open a selection list of all existing keys for the respective element.

If you have created multiple kinematics that use some of the same subkinematics, the following special cases must be noted when changing the key:

  • If the new key is already used for another subkinematics description, the active subkinematics description is replaced by this other description. Any elements that already exist are discarded. In this manner you replace the marked subkinematics with the other.
  • If the new key is not used yet, and the active subkinematics description is also used in other kinematics, a query appears asking if a copy of the subkinematics should be created.
    If you do not want to create a copy, then only the key is changed.
    If you do want to create a copy, then copies are created of all elements in the subkinematics. In this manner you can further edit similar subkinematics independently of each other.

Machine axes

All configured machine axes are offered in the Axis selection list. However, the configuration does not yet contain any information about the direction of the axis. Therefore, you must additionally indicate the direction of the axis. The axis configuration already specifies whether it is a translational or rotatory axis.

Tip
If the axis designation begins with one of the letters A,B,C,X,Y,Z, then the direction is set automatically when the axis is selected. This can also be changed later.


Cutting / Copying / Pasting / Deleting / Undo

Editing elements, NCK Connection to the Control
KinematicsDesign / Operation / NCK-Based Controls / Editing kinematics, NCK / Cutting / Copying / Pasting / Deleting / Undo
Cutting / Copying / Pasting / Deleting / Undo
The Edit > Cut command cuts out the selected element and places it on the clipboard.

The Edit > Copy command copies the selected element and places it on the clipboard.

The Edit > Paste command inserts the element on the clipboard above the marked element.

The Edit > Delete command deletes the selected element.

The Edit > Undo command undoes the last action.

Tip
When inserting a subkinematics description in another kinematics description, only an additional link to the subkinematics is inserted. If you want to create an actual copy, in order to independently edit the subkinematics further, then first copy the respective subkinematics and then change the key.
Key

A copy is actually created when any other element is inserted. A new, unique key is assigned then.


Connection to the Control

Cutting / Copying / Pasting / Deleting / Undo Connection settings
KinematicsDesign / Operation / Connection to the Control
Connection to the Control


Connection settings

Connection to the Control Transmitting kinematics
KinematicsDesign / Operation / Connection to the Control / Connection settings
Connection settings
The Transmit > Connection Settings... command opens a dialog box for setting the connection parameters.

Interface
Enter either the IP address or network name of the control here. For a serial connection you can also enter the name of the COM port (e.g.: COM1). In order to connect to a programming station running on the same PC press the radio button Local.

PLC Code Number
Enter the valid PLC password for the control.

Directory for Transferred Files
Enter the directory to which the files are to be downloaded from the control.

Tip
You can also use environmental variables for this. For a temporary directory you would enter %TEMP%\KineDesign, for example.

Transmit MP Files
Check this box if you wish MP files to be transmitted, as well.
Editing elements, iTNC530


Transmitting kinematics

Connection settings Axis positions online
KinematicsDesign / Operation / Connection to the Control / Transmitting kinematics
Transmitting kinematics
For the iTNC 530, use the Transmit > Load All Kinematics Files from Control command to load the active assignment table with all kinematics, kinematics subfiles and collision bodies contained therein from the control to the given directory, and open it for editing.
On an NCK-based control the %OEM%\config\configfiles.cfg file and all .cfg files listed there are loaded.

Use the Transmit > Load Active Kinematics File from Control command to load only the active kinematics from the control to the given directory, and open it for editing. Kinematics subfiles are also loaded. This command is not possible on NCK-based controls, since the entire configuration must always be loaded for them.

Use the Transmit > Load Tool Table from Control command to load the current tool table and all tool-carrier kinematics contained in it from the control to the indicated directory, and load it into the current project as the active tool table.
Tool table

Use the Transmit > Upload Current Project to Control to load the current project to the control. Tool carrier kinematics or fixtures inserted in a whole kinematics are not transmitted.

Only iTNC530:
If you do not have an entire kinematics description with assignment table loaded in KinematicsDesign, but just a single kinematics or subkinematics description, or just individual collision bodies, then you are prompted to enter the target directory.
When transmitting an entire kinematics description, you can enter an alternate target directory so that the current kinematics description on the control is not overwritten.
If there is no "KINEMATIC" entry in OEM.SYS on the control, or the file name differs from the current assignment table, the entry in OEM.SYS can be updated optionally.
MP subfiles are also transmitted optionally.
Connection settings

When the files have been transmitted, the current kinematics is activated on the control.
Activating kinematics

If the orientation of the current machine differs from the default setting, the KineDesign.ini file with the current orientation is transferred as well.
Orientation


Axis positions online

Transmitting kinematics Activating kinematics
KinematicsDesign / Operation / Connection to the Control / Axis positions online
Axis positions online
Use the Transmit > Axis Positions Online command to establish a connection to the control. The following data is updated cyclically:

  • All axis positions
  • The current tool number
  • The activation status of collision bodies
  • The current kinematics index
This data is applied to the current project. This does not necessarily have to be the kinematics active on the control. In this manner you can test a local kinematics file on the PC during a real machining process.

The local tool table is used to determine the tool and, if necessary, the tool-carrier kinematics from the tool number.

The kinematics index is only evaluated if an assignment table is loaded in KinematicsDesign.

Tip
If you want to display the active kinematics of the control with online axis values, you must first load all kinematics and the tool table from the control.
Transmitting kinematics

Note that this function is not supported by NCK-based controls.
Availability


Activating kinematics

Axis positions online Resetting the control
KinematicsDesign / Operation / Connection to the Control / Activating kinematics
Activating kinematics
Use the Transmit > Activate Kinematics command to activate the selected kinematics on the control.

Use this command to switch between kinematics.


Resetting the control

Activating kinematics Visualization
KinematicsDesign / Operation / Connection to the Control / Resetting the control
Resetting the control
The Transmit > Reset Control restarts the control.


Visualization

Resetting the control General information about graphics
KinematicsDesign / Operation / Visualization
Visualization


General information about graphics

Visualization Collision monitoring
KinematicsDesign / Operation / Visualization / General information about graphics
General information about graphics
The current kinematics is shown as graphics parallel to the entries. Along with the collision bodies, the coordinate systems of each transformation can be shown as an option.

The active element of the tree view is highlighted in the graphics.

Use the mouse wheel to zoom the view in and out.

Press and hold the left mouse button to open a zoom rectangle. When the mouse button is released, the view zooms in on the selected rectangle. Pressing <Esc> aborts this action.

With the right mouse button pressed you can rotate the view in all directions.

With the mouse wheel (or center mouse button) pressed you can move the view in all directions.

As an alternative you can manipulate the graphic with the arrow keys:

First click in the graphic or press F6 to ensure that the graphic has the input focus.
You can now rotate the graphic in all directions with just the arrow keys.
You can shift the graphic in all directions by pressing SHIFT and the arrow keys.
You can zoom in and out with the up and down arrow keys by pressing the CTRL key.

The View > Reset Viewing Angle command returns the graphics to the initial state.

The View > Global Transformations command shows or hides the respective coordinate system for all global transformations (outside of collision bodies).

The View > Transformations in Collision Bodies command shows or hides the respective coordinate system for all transformations within collision bodies. The transformations of the selected collision bodies are always shown independently of this setting.

Regardless of this setting, the coordinate systems of the selected elements are always shown.

The View > Machine Coordinate System command shows or hides the machine coordinate system.

The View > Collision Bodies command shows or hides all collision bodies.

You switch between the solid and wire frame models with the View > Wire Frame command.

You switch between opaque and semitransparent models with the View > Semitransparent command.

You switch between the perspective view and the axis-parallel view with the View > Perspective View command.

Use the View > Show Descriptions command to display the descriptions of kinematics objects in the graphics. You can choose between all descriptions or just those of selected objects, with or without collision targets.

Click a collision object or a transformation to select this element in the tree view.

If the SHIFT key is pressed while clicking a collision object, the entire collision body is selected in the tree view.


Collision monitoring

General information about graphics Axis positions
KinematicsDesign / Operation / Visualization / Collision monitoring
Collision monitoring
Displaying collisions

Use the View > Show Collisions command to select whether collisions are to be displayed graphically. Colliding objects are shown in a different color. In addition, the graphic is framed by the collision color. This way you can notice collisions that occur outside of the visible area.

Objects that are in the near area of a collision are also shown in a different color. The limit value for this approach and the step increments of the axis simulation can be set. To do so, open the input field for the axis positions and click the Step Widths tab.
Axis positions

Inactive collision bodies

Collision bodies can be activated or deactivated. Use the View > Hide Inactive Collision Bodies command to select if inactive collision bodies are to be shown in a different color, or are to be hidden completely.

Excluded objects

An entire collision body, as well as specifically defined objects of a collision body, can be excluded from collision monitoring.

Click a defined part of a collision body to check the exclusion objects. All bodies for which collision monitoring is performed are then shown with a different color in the graphics.

The following are not monitored:

  • Objects that are on the same machine axis
  • Objects that are in the list of exclusion objects for this collision body
  • Objects that contain the selected object in their own list of exclusion objects
  • All defined objects of an inactive collision body
Danger
KinematicsDesign cannot replace actual testing of DCM on the machine!


Axis positions

Collision monitoring Tool table
KinematicsDesign / Operation / Visualization / Axis positions
Axis positions
Use the View > Axis Positions command to open an area with an input field for each machine axis of the active kinematics. In offline mode you can enter axis positions here, or use the small arrow keys to increase or reduce the values step-by-step. This makes it possible to test the collision monitoring, for example.
Press the Home Position button to simultaneously set all axis positions to the zero position.
The current axis positions of the control are displayed here in online mode.
Axis positions online

Tip
If the graphics field has the input focus (simply click the graphic for this), the axis positions can also be changed with keyboard entries. Simply press the respective letter of the axis to increase the axis positions. Press the SHIFT key as well to decrease the values.

In the Step Widths tab you can change the respective step widths for increasing or decreasing the axis positions and define the near area for collision monitoring.

In the Home Positions tab you can change the corresponding home positions, which are set with the Home Position button.

All of these settings are saved in the KineDesign.ini file in the current directory.


Tool table

Axis positions STL files
KinematicsDesign / Operation / Visualization / Tool table
Tool table
The View > Tool Table command opens an area for entering the active tool table.

First enter the tool table under File. Use the browse button ... to open a file selection dialog box.
You can edit the tool table in Notepad with the Edit > Tool Table... command.

Tip
The entered tool table is cyclically monitored for changes. As soon as you save this file with any ASCII editor, it is automatically reloaded, and the current tool as well as any tool-carrier kinematics are updated.

Enter the desired tool number. Use the small arrow buttons to select the next/previous tool from the tool table.

These settings are saved in the KineDesign.ini file in the current directory.

The selected tool is shown in the graphics. If a tool-carrier kinematics file is defined for this tool, then it is inserted at the Tool-carrier kinematics placeholder in the tree view, where it can be edited.

As on the control, the tool-carrier kinematics file can be located in one of the following directories:

  • Kinematics directory (*.TAB)
  • ToolkinematicsPLC (*.TAB)
  • ToolkinematicsTNC (*.cfx)
The ToolkinematicsPLC and ToolkinematicsTNC directories are taken from the KineDesign.ini file. If the kinematics file from the tool table is not found in the kinematics directory, then it is looked for in the other two directories. If the file is not found there either, or if there are not any entries for these files in KineDesign.ini yet, then a file-entry dialog box opens in which you can enter the kinematics file being searched for. The selected directory is then stored in the KineDesign.ini file. You can also change these directories later.
Directories of the tool-carrier kinematics

In online operation, the current tool number is determined by the control, and applied to the local tool table.

Tip
Note that KinematicsDesign does not yet support the tool table of lathe controls.
Availability

Axis positions online, Tool-carrier kinematics


STL files

Tool table Orientation
KinematicsDesign / Operation / Visualization / STL files
STL files
STL is a file format in which numerous triangles are used to approximate 3-D data models. This format is a standard interface of many CAD systems.

With KinematicsDesign, STL files can be shown in a 3-D view to simplify modeling collision objects from STL files.
Fixtures

The View > STL File command opens an area for display of STL files. Enter the desired STL file, or select a file with the ... browse button.

To superimpose an existing collision body in the STL view, the STL view must be inserted at the right place in the kinematics chain. To do so, select the element in the tree view before which you want to insert the coordinate system of the STL object. Then open the context menu with the right mouse button and select the Set Zero Point of STL View command or click the STL Zero Point button in the input field.

With the input fields for the 6 axes you can also rotate and move the STL view as desired. Press the Home Position button to reset these settings to 0.

All settings are saved in the KineDesign.ini file so that they are available when a collision body is opened again.


Orientation

STL files Colors
KinematicsDesign / Operation / Visualization / Orientation
Orientation
On most machines the positive Z axis points up, and the positive X axis to the right. This is the default setting of the visualization.

If your machine is oriented differently, then you can adapt the graphics with the Extras > Orientation... command.

Use the two selection lists to specify which axis points up and which axis points to the right. The third axis is automatically defined by this.

These settings are saved in the KineDesign.ini file in the current directory. This means that they are always defined for specific kinematics.

Alternative Orientation
If you have defined several kinematics configurations, some of them may have a different orientation. To display their positions correctly in the 3-D view, too, you can define an alternative orientation for each individual kinematic configuration. This orientation is saved in the assignment table (only with iTNC530).
Editing elements, iTNC530


Colors

Orientation LSV-2 Error Messages
KinematicsDesign / Operation / Visualization / Colors
Colors
Use the Extras > Colors... command to change the color settings of the graphics.

First click in the list on the element whose color you want to change. The field next to the list indicates the color currently set.

To change the color, either click the Change... button, or click the colored field, or double-click directly on the entry in the list. Select the desired color in the color selection dialog box.

Press Define Colors >> to create your own colors. Select the desired color from the multicolored field, and use the colored bar to change the brightness. Press Add Colors to add the color to the User-Defined Colors field. Then select this color, and confirm the selection with OK.

Press the Default button to restore the default settings.


LSV-2 Error Messages

Colors General Information
KinematicsDesign / LSV-2 Error Messages
LSV-2 Error Messages


General Information

LSV-2 Error Messages System Errors
KinematicsDesign / LSV-2 Error Messages / General Information
General Information
The LSV-2-specific error codes are provided with an offset to distinguish them from system errors generated by Windows.

Type of error | Offset
Windows system error | 0x00000000
Execution error: Error messages transferred from the control using T_ER or T_BD telegrams | 0x20001700
Protocol errors during Ethernet transfer (TCP/IP) | 0x20001500
Protocol errors during serial transmission (RS-232 or RS-422) | 0x20001600


System Errors

General Information E5: Access denied
KinematicsDesign / LSV-2 Error Messages / System Errors
System Errors
E5: Access denied


E5: Access denied

System Errors Execution Errors
KinematicsDesign / LSV-2 Error Messages / System Errors / E5: Access denied
E5: Access denied
This error message is generated when you are receiving a file and do not have write-permission for the target directory, or if a file with the same name already exists and this file is write-protected.


Execution Errors

E5: Access denied E20001714: Formatting error
KinematicsDesign / LSV-2 Error Messages / Execution Errors
Execution Errors
E20001714: Formatting error
E20001715: Telegram not expected
E20001716: Telegram unknown
E20001717: Access privilege not granted
E20001718: Wrong parameter
E20001719: Aborted by user
E2000171E: Wrong (login) password
E2000171F: File name invalid
E20001720: File/directory does not exist
E20001721: File cannot be opened
E20001722: File/directory already exists
E20001723: File type not allowed
E20001724: File cannot be deleted
E20001725: File cannot be created
E20001726: Changing this attribute is not allowed
E20001727: Key code not permitted
E20001728: Machine parameter does not exist
E20001729: Window type/screen number wrong or disabled
E2000172A: Window not active
E2000172B: Error while transmitting information from the TNC display
E2000172C: Key emulation not allowed (TNC keyboard not disabled)
E2000172D: File access not possible
E2000172E: Wrong DNC status
E2000172F: Changing directory or drive not possible
E20001730: File cannot be renamed
E20001731: Logon not possible
E20001732: Parameter or file-format error
E20001733: Wrong number format
E20001734: Wrong memory address
E20001735: Not enough disk space
E20001736: Folder cannot be deleted
E20001737: Folder does not exist
E20001738: Wrong operating mode
E20001739: No next error
E2000173B: No write-access
E2000173C: NC still active: Function cannot be executed
E2000173D: T_ER_REF_NECESSARY
E2000173E: T_ER_PLC_BUF_FULL
E2000173F: Requested information not found
E20001740: T_ER_WRONG_FILE
E20001741: Binary code on the control is not current
E20001742: Too many trace points
E20001743: Cannot activate file
E20001744: Not enough system resources
E20001746: DSP channel number not valid
E20001747: Cannot send DSP data
E20001748: Parameter out of range
E20001749: Selected axes invalid
E2000174A: Axis streaming already active
E2000174B: Axis streaming not active
E2000174C: Collision at axis position
E2000174D: Axis position outside the limit switches
E20001750: Too many TCP ports open on control
E20001751: No free handle
E20001752: Configuration changed: Remanent PLC memory has been temporarily cleared.
E20001753: Channel selection not permissible for oscilloscope
E20001754: Channel selection not permissible for DSP-DEBUG
E20001755: Too many oscilloscope channels
E2000175A: Transmission still active
E2000175B: PLC message not yet acknowledged
E2000175C: No connection
E2000175D: Cannot read backup file
E2000175E: File not found in backup
E2000175F: Converter DLL not installed
E20001760: Converter DLL not found or defective
E20001761: Backup-list file erroneous
E20001763: Undocumented LSV2 error
E20001764: File cannot be created
E20001765: Not enough disk space
E20001766: Program name does not match file name
E20001767: Telegram not expected
E20001768: Error in program line
E20001769: End of program already reached
E2000176A: Error while transmitting information from the TNC display
E2000176B: Window not (yet) defined
E2000176C: Window status has been changed
E2000176E: DNC buffer full
E2000176F: Transmission aborted
E20001770: Data overflow in oscilloscope


E20001714: Formatting error

Execution Errors E20001715: Telegram not expected
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001714: Formatting error
E20001714: Formatting error
Data is not passed in the appropriate format.

Typically this error occurs if you try to transmit a binary file in text mode.

Please check the configuration of the connection. There you can define the binary file types as a list of file extensions.


E20001715: Telegram not expected

E20001714: Formatting error E20001716: Telegram unknown
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001715: Telegram not expected
E20001715: Telegram not expected
The partner terminal sent a telegram that does not match the specified process.


E20001716: Telegram unknown

E20001715: Telegram not expected E20001717: Access privilege not granted
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001716: Telegram unknown
E20001716: Telegram unknown
A telegram was sent that could not be recognized by the partner terminal. You might be using a software version that is not compatible with the partner terminal.


E20001717: Access privilege not granted

E20001716: Telegram unknown E20001718: Wrong parameter
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001717: Access privilege not granted
E20001717: Access privilege not granted
The control does not permit access to the desired service.

This can have the following reasons:

  • Another application has registered itself for this service, and this service can only be made available exclusively to one application.
  • "External access" to the control is switched off.
    In the Machine or MOD operating mode you can press the "External Access On/Off" soft key to enable external access.
  • As of NC software 340 49x-03, access can be restricted to certain clients. The entry "REMOTE.PERMISSION =" must be present in the file TNC:\TNC.SYS for this.
    The entry lists the names or IP addresses of multiple clients, which are separated by semicolons.
    Example: REMOTE.PERMISSION = pc123;160.1.240.2;pc2259
    Access privilege is not granted if the entry REMOTE.PERMISSION is present, and the client is not included in this list.
  • As of NC software version 34049x xx, DNC functions can only be executed if SIK Option #18 (HEIDENHAIN DNC), which is available for a fee, is enabled.


E20001718: Wrong parameter

E20001717: Access privilege not granted E20001719: Aborted by user
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001718: Wrong parameter
E20001718: Wrong parameter
A telegram was sent containing an impermissible parameter.
You might be using a software version that is not compatible with the partner terminal.


E20001719: Aborted by user

E20001718: Wrong parameter E2000171E: Wrong (login) password
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001719: Aborted by user
E20001719: Aborted by user
A function that was taking too much time (e.g. data transfer) was aborted by the user.


E2000171E: Wrong (login) password

E20001719: Aborted by user E2000171F: File name invalid
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000171E: Wrong (login) password
E2000171E: Wrong (login) password
A password is required for certain services (e.g. file access to the partition reserved for the machine manufacturer). An incorrect password was given when logging in for this service.

This error can also occur when backing-up or restoring system data, for example, if you are performing a machine backup or complete backup. This is caused by the actual time on the PC and the control being different, since a special password for this access is generated from the current time, and this password is checked on the control.


E2000171F: File name invalid

E2000171E: Wrong (login) password E20001720: File/directory does not exist
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000171F: File name invalid
E2000171F: File name invalid
An invalid file name, whose syntax does not match that of the control, was given.

You can enter files and directories with or without paths. The directory names must be separated from each other with a backslash (\). "..\" can be used to enter relative paths from parent directories.

The syntax ".\" for the current directory is not permissible.

The length of the file path (directory path with file name) must not exceed 79 or 255 characters.

Please note that not all control models that support LSV-2 also offer directories in their file systems.


E20001720: File/directory does not exist

E2000171F: File name invalid E20001721: File cannot be opened
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001720: File/directory does not exist
E20001720: File/directory does not exist
The name of a file or directory that does not exist on the control was entered.

You can enter files and directories with or without paths. The directory names must be separated from each other with a backslash (\). "..\" can be used to enter relative paths from parent directories.

The syntax ".\" for the current directory is not permissible.

Please note that not all control models that support LSV-2 also offer directories in their file systems.


E20001721: File cannot be opened

E20001720: File/directory does not exist E20001722: File/directory already exists
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001721: File cannot be opened
E20001721: File cannot be opened
The specified file cannot be opened.


E20001722: File/directory already exists

E20001721: File cannot be opened E20001723: File type not allowed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001722: File/directory already exists
E20001722: File/directory already exists
The given file or directory already exists, and therefore cannot be created. The file might be write-protected, and therefore cannot be overwritten.


E20001723: File type not allowed

E20001722: File/directory already exists E20001724: File cannot be deleted
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001723: File type not allowed
E20001723: File type not allowed
The file type specified by the file extension is not permissible for this action. For example, files that are registered as binary types cannot be transmitted in binary format if the connected control does not support binary transmission.


E20001724: File cannot be deleted

E20001723: File type not allowed E20001725: File cannot be created
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001724: File cannot be deleted
E20001724: File cannot be deleted
The specified file cannot be deleted. It is probably write-protected or opened in the NC editor.


E20001725: File cannot be created

E20001724: File cannot be deleted E20001726: Changing this attribute is not allowed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001725: File cannot be created
E20001725: File cannot be created
The specified file cannot be created. Probably the directory in which it is to be created does not exist.


E20001726: Changing this attribute is not allowed

E20001725: File cannot be created E20001727: Key code not permitted
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001726: Changing this attribute is not allowed
E20001726: Changing this attribute is not allowed
Currently only the write-protection attribute can be changed.


E20001727: Key code not permitted

E20001726: Changing this attribute is not allowed E20001728: Machine parameter does not exist
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001727: Key code not permitted
E20001727: Key code not permitted
You have entered a key code that is invalid for the connected control.


E20001728: Machine parameter does not exist

E20001727: Key code not permitted E20001729: Window type/screen number wrong or disabled
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001728: Machine parameter does not exist
E20001728: Machine parameter does not exist
You have entered a machine parameter that is invalid for the connected control.


E20001729: Window type/screen number wrong or disabled

E20001728: Machine parameter does not exist E2000172A: Window not active
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001729: Window type/screen number wrong or disabled
E20001729: Window type/screen number wrong or disabled
TNC 42x: Information that is not available was requested.


E2000172A: Window not active

E20001729: Window type/screen number wrong or disabled E2000172B: Error while transmitting information from the TNC display
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000172A: Window not active
E2000172A: Window not active
TNC 42x: Information for an inactive window was requested.


E2000172B: Error while transmitting information from the TNC display

E2000172A: Window not active E2000172C: Key emulation not allowed (TNC keyboard not disabled)
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000172B: Error while transmitting information from the TNC display
E2000172B: Error while transmitting information from the TNC display
TNC 42x: General error while accessing the display.


E2000172C: Key emulation not allowed (TNC keyboard not disabled)

E2000172B: Error while transmitting information from the TNC display E2000172D: File access not possible
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000172C: Key emulation not allowed (TNC keyboard not disabled)
E2000172C: Key emulation not allowed (TNC keyboard not disabled)
Key commands can only be sent to the control if the control's own keyboard has been disabled.


E2000172D: File access not possible

E2000172C: Key emulation not allowed (TNC keyboard not disabled) E2000172E: Wrong DNC status
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000172D: File access not possible
E2000172D: File access not possible
This error often occurs when reading out the TOOL.T file., in particular during serial transmission. For older software versions, the transmission via the serial interface does not permit line lengths exceeding approx. 250 characters. This error is output if the TOOL.T file is configured such that the table lines can be longer than 250 characters.

Solution:

  • Hide specific columns that are not needed
  • Upload the newest NC software, which permits line lengths up to 1024 characters

This error also occurs during transmission of longer NC programs to the programming station (as of software 340 494-04).
In the trial version, the program is truncated after 100 NC blocks and this error is output.


E2000172E: Wrong DNC status

E2000172D: File access not possible E2000172F: Changing directory or drive not possible
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000172E: Wrong DNC status
E2000172E: Wrong DNC status
Telegram not permissible in the current DNC status


E2000172F: Changing directory or drive not possible

E2000172E: Wrong DNC status E20001730: File cannot be renamed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000172F: Changing directory or drive not possible
E2000172F: Changing directory or drive not possible
No information available.


E20001730: File cannot be renamed

E2000172F: Changing directory or drive not possible E20001731: Logon not possible
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001730: File cannot be renamed
E20001730: File cannot be renamed
The control's file system cannot rename the file.


E20001731: Logon not possible

E20001730: File cannot be renamed E20001732: Parameter or file-format error
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001731: Logon not possible
E20001731: Logon not possible
Registration for a certain service was denied.

Check if other applications are using this service.


E20001732: Parameter or file-format error

E20001731: Logon not possible E20001733: Wrong number format
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001732: Parameter or file-format error
E20001732: Parameter or file-format error
The file that is saved in binary format is in a version that is not supported by the current NC software.

Possibly the files were not converted before or after a software exchange.


E20001733: Wrong number format

E20001732: Parameter or file-format error E20001734: Wrong memory address
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001733: Wrong number format
E20001733: Wrong number format
No information available.


E20001734: Wrong memory address

E20001733: Wrong number format E20001735: Not enough disk space
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001734: Wrong memory address
E20001734: Wrong memory address
An invalid address was given when accessing the PLC memory.

This error message can also be generated because of a changed PLC memory allocation that was caused by a change of the corresponding entries of the configuration file on the control.


E20001735: Not enough disk space

E20001734: Wrong memory address E20001736: Folder cannot be deleted
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001735: Not enough disk space
E20001735: Not enough disk space
The control's file system has determined that not enough memory is available on the control for the desired action.


E20001736: Folder cannot be deleted

E20001735: Not enough disk space E20001737: Folder does not exist
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001736: Folder cannot be deleted
E20001736: Folder cannot be deleted
You attempted to delete a folder that still contains files.

Also see E20001724: File cannot be deleted


E20001737: Folder does not exist

E20001736: Folder cannot be deleted E20001738: Wrong operating mode
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001737: Folder does not exist
E20001737: Folder does not exist
You tried to delete or go to a folder that does not exist.
The iTNC 530 outputs the error E20001720.

E20001720: File/directory does not exist


E20001738: Wrong operating mode

E20001737: Folder does not exist E20001739: No next error
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001738: Wrong operating mode
E20001738: Wrong operating mode
This service cannot be executed in the current operating mode.

This can be a DNC command that is not allowed in the current NC operation mode or a merge function of a part table that is actively edited (Soft-key "Edit On").


E20001739: No next error

E20001738: Wrong operating mode E2000173B: No write-access
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001739: No next error
E20001739: No next error
There is no additional active error message on the control.


E2000173B: No write-access

E20001739: No next error E2000173C: NC still active: Function cannot be executed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000173B: No write-access
E2000173B: No write-access
The control has denied the write-procedure necessary for this function.

For the setting of preset entries: The indicated row is locked.


E2000173C: NC still active: Function cannot be executed

E2000173B: No write-access
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000173C: NC still active: Function cannot be executed
E2000173C: NC still active: Function cannot be executed
The PLC program and soft-key menu cannot be activated if the control is currently machining a part program.

DNC operation cannot be started if the control is currently machining a part program.


E2000173D: T_ER_REF_NECESSARY

E2000173C: NC still active: Function cannot be executed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000173D: T_ER_REF_NECESSARY
E2000173D: T_ER_REF_NECESSARY
For DNC operation with the TNC 406/416, the control cannot be in the Reference Run operating mode for the NC Start function.


E2000173E: T_ER_PLC_BUF_FULL

E2000173F: Requested information not found
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000173E: T_ER_PLC_BUF_FULL
E2000173E: T_ER_PLC_BUF_FULL
A message could not be transmitted to the PLC since the PLC has not yet processed the previous message.

Retry the send attempt.


E2000173F: Requested information not found

KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000173F: Requested information not found
E2000173F: Requested information not found
There is no table row/data element that matches the request.


E20001740: T_ER_WRONG_FILE

E2000173F: Requested information not found E20001741: Binary code on the control is not current
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001740: T_ER_WRONG_FILE
E20001740: T_ER_WRONG_FILE
PLC Debug, Trace-in-Source function: Incorrect file type (version info in first row faulty)


E20001741: Binary code on the control is not current

E20001742: Too many trace points
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001741: Binary code on the control is not current
E20001741: Binary code on the control is not current
PLC Debug, Trace-in-Source function: The PLC binary code that was created with PLCdesign does not match the code active on the control.

Check if you have transmitted the current source files and intermediate code to the control and activated them.

Use the documentation files (<main-file name>.lst) in the Configuration Defines: section to check whether you are using the same configuration definitions for conditional compilation on the control and in PLCdesign.


E20001742: Too many trace points

E20001741: Binary code on the control is not current E20001743: Cannot activate file
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001742: Too many trace points
E20001742: Too many trace points
PLC Debug, Trace-in-Source function: The Remote Debug application tried to set more trace points than are supported by the control.


E20001743: Cannot activate file

E20001742: Too many trace points E20001744: Not enough system resources
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001743: Cannot activate file
E20001743: Cannot activate file
The PLC program or soft-key menu given cannot be activated.

Possible causes:

The PLC program cannot be translated:
Translate the PLC program on the control manually and check the output window for error messages.

The PLC program cannot be loaded and started:
You will find an error log for the iTNC530 in the file PLC:\PLCDEBUG.LOG.

The soft-key resource cannot be generated, loaded or activated.
Generate the soft-key resource on the control manually and check the output window for error messages. If no error is entered here, check the content of the activation log <soft key project>.spj.log.


E20001744: Not enough system resources

E20001743: Cannot activate file E20001746: DSP channel number not valid
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001744: Not enough system resources
E20001744: Not enough system resources
There are not enough system resources on the control to carry out this task.


E20001746: DSP channel number not valid

E20001744: Not enough system resources E20001747: Cannot send DSP data
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001746: DSP channel number not valid
E20001746: DSP channel number not valid
A channel that is not available was entered at the prompt.

The DSP's answer does not match the request.


E20001747: Cannot send DSP data

E20001746: DSP channel number not valid E20001748: Parameter out of range
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001747: Cannot send DSP data
E20001747: Cannot send DSP data
The data cannot be interpreted, or the commands are arriving so rapidly that the DSP cannot pick them up in time.


E20001748: Parameter out of range

E20001747: Cannot send DSP data E20001749: Selected axes invalid
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001748: Parameter out of range
E20001748: Parameter out of range
In the configuration you entered values that are beyond the valid range.


E20001749: Selected axes invalid

E20001748: Parameter out of range E2000174A: Axis streaming already active
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001749: Selected axes invalid
E20001749: Selected axes invalid
You entered axes that are not valid in the current control configuration.


E2000174A: Axis streaming already active

E20001749: Selected axes invalid E2000174B: Axis streaming not active
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000174A: Axis streaming already active
E2000174A: Axis streaming already active
You tried to activate axis streaming, or change the settings, even though axis streaming is already active.


E2000174B: Axis streaming not active

E2000174A: Axis streaming already active E2000174C: Collision at axis position
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000174B: Axis streaming not active
E2000174B: Axis streaming not active
You tried to stop axis streaming even though it is not active.


E2000174C: Collision at axis position

E2000174B: Axis streaming not active E2000174D: Axis position outside the limit switches
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000174C: Collision at axis position
E2000174C: Collision at axis position
The indicated axis position cannot be reached, since it would result in a collision.


E2000174D: Axis position outside the limit switches

E2000174C: Collision at axis position E20001750: Too many TCP ports open on control
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000174D: Axis position outside the limit switches
E2000174D: Axis position outside the limit switches
You attempted to set the machine axes to a position that cannot be reached.
The software limit switches are defined with machine parameters 910.x (upper limit) and 920.x (lower limit).


E20001750: Too many TCP ports open on control

E2000174D: Axis position outside the limit switches E20001751: No free handle
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001750: Too many TCP ports open on control
E20001750: Too many TCP ports open on control
The control only supports a limited number of simultaneously opened TCP/IP ports. Close any applications that you are not currently using.

Tip
A port does not immediately become available again after it is closed.


E20001751: No free handle

E20001750: Too many TCP ports open on control E20001752: Configuration changed: Remanent PLC memory has been temporarily cleared.
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001751: No free handle
E20001751: No free handle
The communications library only supports up to 16 connections in one application.


E20001752: Configuration changed: Remanent PLC memory has been temporarily cleared.

E20001751: No free handle E20001753: Channel selection not permissible for oscilloscope
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001752: Configuration changed: Remanent PLC memory has been temporarily cleared.
E20001752: Configuration changed: Remanent PLC memory has been temporarily cleared.
During compilation of the PLC program it was determined that the memory configuration is changed by the new PLC program. In order to achieve a defined output state in such a case, the PLC memory is cleared and this message is output.
Compilation must then be started again.


E20001753: Channel selection not permissible for oscilloscope

E20001752: Configuration changed: Remanent PLC memory has been temporarily cleared. E20001754: Channel selection not permissible for DSP-DEBUG
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001753: Channel selection not permissible for oscilloscope
E20001753: Channel selection not permissible for oscilloscope
An invalid combination of channels was selected for recording.
For example, for certain channels that are recorded by the CC hardware there is a limitation that only up to 4 channels of this type can be recorded simultaneously.


E20001754: Channel selection not permissible for DSP-DEBUG

E20001753: Channel selection not permissible for oscilloscope E20001755: Too many oscilloscope channels
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001754: Channel selection not permissible for DSP-DEBUG
E20001754: Channel selection not permissible for DSP-DEBUG
The DSP-DEBUG channels are configured via machine parameters.
Check your current settings.


E20001755: Too many oscilloscope channels

E20001754: Channel selection not permissible for DSP-DEBUG E2000175A: Transmission still active
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001755: Too many oscilloscope channels
E20001755: Too many oscilloscope channels
You are trying to record more channels simultaneously than the control supports.
Reduce the number.


E2000175A: Transmission still active

E20001755: Too many oscilloscope channels E2000175B: PLC message not yet acknowledged
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000175A: Transmission still active
E2000175A: Transmission still active
Transmissions that take longer cannot usually be interrupted by other transmission functions using the same transmission channel, except for messages.


E2000175B: PLC message not yet acknowledged

E2000175A: Transmission still active E2000175C: No connection
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000175B: PLC message not yet acknowledged
E2000175B: PLC message not yet acknowledged
A PLC message may only be submitted if the previous message has been answered with an acknowledgment message (X_OK).


E2000175C: No connection

E2000175B: PLC message not yet acknowledged E2000175D: Cannot read backup file
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000175C: No connection
E2000175C: No connection
The desired connection could not be established.


E2000175D: Cannot read backup file

E2000175C: No connection E2000175E: File not found in backup
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000175D: Cannot read backup file
E2000175D: Cannot read backup file
The backup file entered either does not exist or is in the wrong format.


E2000175E: File not found in backup

E2000175D: Cannot read backup file E2000175F: Converter DLL not installed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000175E: File not found in backup
E2000175E: File not found in backup
The entered file is not in the backup file. Possibly the file list (*.lst) does not match the actual backup file (*.bck).


E2000175F: Converter DLL not installed

E2000175E: File not found in backup E20001760: Converter DLL not found or defective
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000175F: Converter DLL not installed
E2000175F: Converter DLL not installed
A special DLL file and other configuration files are required for online conversion. This error message appears if the required converter files were not installed before calling the transmission function in the converter mode.


E20001760: Converter DLL not found or defective

E2000175F: Converter DLL not installed E20001761: Backup-list file erroneous
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001760: Converter DLL not found or defective
E20001760: Converter DLL not found or defective
A special DLL file and other configuration files are required for online conversion. If they are not found in the directory given, they are loaded from the connected control.

The connected control does not have a valid DLL file, or not all configuration files were found.


E20001761: Backup-list file erroneous

E20001760: Converter DLL not found or defective E20001763: Undocumented LSV2 error
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001761: Backup-list file erroneous
E20001761: Backup-list file erroneous
The list of the saved/scanned files is in a special ASCII format. Especially the version information in the first line, used as identification of the list file, must remain unchanged.


E20001763: Undocumented LSV2 error

E20001761: Backup-list file erroneous E20001764: File cannot be created
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001763: Undocumented LSV2 error
E20001763: Undocumented LSV2 error
Please contact HEIDENHAIN.


E20001764: File cannot be created

E20001763: Undocumented LSV2 error E20001765: Not enough disk space
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001764: File cannot be created
E20001764: File cannot be created
The control's file system cannot create the file entered.


E20001765: Not enough disk space

E20001764: File cannot be created E20001766: Program name does not match file name
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001765: Not enough disk space
E20001765: Not enough disk space
The control's file system has determined that not enough memory is available on the control for the desired action.


E20001766: Program name does not match file name

E20001765: Not enough disk space E20001767: Telegram not expected
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001766: Program name does not match file name
E20001766: Program name does not match file name
This error only occurred on the TNC 407 - 415 controls.

It was checked whether the file header was identical with the target file name given.


E20001767: Telegram not expected

E20001766: Program name does not match file name E20001768: Error in program line
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001767: Telegram not expected
E20001767: Telegram not expected
The partner terminal sent a telegram that does not match the specified process.


E20001768: Error in program line

E20001767: Telegram not expected E20001769: End of program already reached
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001768: Error in program line
E20001768: Error in program line
An error occurred while converting the text format of the NC file to the internal binary format.


E20001769: End of program already reached

E20001768: Error in program line E2000176A: Error while transmitting information from the TNC display
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001769: End of program already reached
E20001769: End of program already reached
TNC 4x6: You attempted to start a program that has already been finished.


E2000176A: Error while transmitting information from the TNC display

E20001769: End of program already reached E2000176B: Window not (yet) defined
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000176A: Error while transmitting information from the TNC display
E2000176A: Error while transmitting information from the TNC display
TNC 42x: General error while accessing the display.


E2000176B: Window not (yet) defined

E2000176A: Error while transmitting information from the TNC display E2000176C: Window status has been changed
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000176B: Window not (yet) defined
E2000176B: Window not (yet) defined
TNC 42x: Information was requested for a window that is not yet available.


E2000176C: Window status has been changed

E2000176B: Window not (yet) defined E2000176E: DNC buffer full
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000176C: Window status has been changed
E2000176C: Window status has been changed
TNC 42x: Information was requested for a window that is no longer relevant to the display.


E2000176E: DNC buffer full

E2000176C: Window status has been changed E2000176F: Transmission aborted
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000176E: DNC buffer full
E2000176E: DNC buffer full
With this message the control reports that as of this moment it can accept no more data blocks.


E2000176F: Transmission aborted

E2000176E: DNC buffer full E20001770: Data overflow in oscilloscope
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E2000176F: Transmission aborted
E2000176F: Transmission aborted
The transmission was aborted by the user or by the partner terminal.


E20001770: Data overflow in oscilloscope

E2000176F: Transmission aborted Transmission Errors (TCP/IP)
KinematicsDesign / LSV-2 Error Messages / Execution Errors / E20001770: Data overflow in oscilloscope
E20001770: Data overflow in oscilloscope
If data transmission is slower than the accumulation of data, then the internal buffer will overflow after a certain time. This should only occur with serial transmission.

  • Always select the highest baudrate available.
  • Check if the transmission is encountering interference, which necessitates block repetitions and slows the transmission. An insufficiently protected cable might be the cause of the error.
  • Reduce the number of channels to be monitored.


Transmission Errors (TCP/IP)

E20001770: Data overflow in oscilloscope E20001501: No free handle
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP)
Transmission Errors (TCP/IP)
E20001501: No free handle
E20001502: No appropriate WINSOCK DLL in the system
E20001503: Error while initializing socket
E20001504: Erroneous host address
E20001505: Cannot connect to the control
E20001506: TCP time monitoring error
E20001507: Connection terminated


E20001501: No free handle

Transmission Errors (TCP/IP) E20001502: No appropriate WINSOCK DLL in the system
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001501: No free handle
E20001501: No free handle
The communications library only supports up to 16 connections in one application.


E20001502: No appropriate WINSOCK DLL in the system

E20001501: No free handle E20001503: Error while initializing socket
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001502: No appropriate WINSOCK DLL in the system
E20001502: No appropriate WINSOCK DLL in the system
A Windows Socket Library (winsock.dll) of at least version 1.1 must be on the computer. This requirement should be fulfilled by all Windows systems since Windows 95.


E20001503: Error while initializing socket

E20001502: No appropriate WINSOCK DLL in the system E20001504: Erroneous host address
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001503: Error while initializing socket
E20001503: Error while initializing socket
An error occurred while opening the TCP/IP socket.


E20001504: Erroneous host address

E20001503: Error while initializing socket E20001505: Cannot connect to the control
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001504: Erroneous host address
E20001504: Erroneous host address
An invalid IP address / host name was given for the target address.


E20001505: Cannot connect to the control

E20001504: Erroneous host address E20001506: TCP time monitoring error
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001505: Cannot connect to the control
E20001505: Cannot connect to the control
It was not possible to establish a connection to port 19000 of the IP address given.

Check whether the control is switched on and the correct IP address and host name (for iTNC 530 as of 34049x 02) are used.

With a PING command, for example, test whether the control is configured correctly and the power supply connected.

A firewall could also be blocking port 19000.


E20001506: TCP time monitoring error

E20001505: Cannot connect to the control E20001507: Connection terminated
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001506: TCP time monitoring error
E20001506: TCP time monitoring error
The control is not accepting any more data despite repeated attempts.


E20001507: Connection terminated

E20001506: TCP time monitoring error Transmission Errors (Serial)
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (TCP/IP) / E20001507: Connection terminated
E20001507: Connection terminated
The control terminated the connection in the meantime.


Transmission Errors (Serial)

E20001507: Connection terminated E20001601: General timeout
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial)
Transmission Errors (Serial)
E20001601: General timeout
E20001602: Character transmission without ENQ
E20001603: Abort Start Text Transmission (timeout!)
E20001604: Wrong control characters
E20001605: Telegram too large
E20001606: Wrong horizontal checksum
E20001607: EOT missing
E20001608: No response from control
E20001609: Transmission conflict
E2000160A: Telegram body not acknowledged
E2000160B: Error in transmission (three attempts)
E2000160C: Telegram body transmission time too long
E2000160D: Interface cannot be activated
E2000160E: No telegram received, although expected
E20001611: Message not yet acknowledged
E20001614: No DTR signal


E20001601: General timeout

Transmission Errors (Serial) E20001602: Character transmission without ENQ
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001601: General timeout
E20001601: General timeout
No information available.


E20001602: Character transmission without ENQ

E20001601: General timeout E20001603: Abort Start Text Transmission (timeout!)
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001602: Character transmission without ENQ
E20001602: Character transmission without ENQ
Three unsuccessful attempts were made to transmit a telegram. In the last attempt, data was transmitted without having been requested.


E20001603: Abort Start Text Transmission (timeout!)

E20001602: Character transmission without ENQ E20001604: Wrong control characters
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001603: Abort Start Text Transmission (timeout!)
E20001603: Abort Start Text Transmission (timeout!)
No information available.


E20001604: Wrong control characters

E20001603: Abort Start Text Transmission (timeout!) E20001605: Telegram too large
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001604: Wrong control characters
E20001604: Wrong control characters
Despite repeated transmission attempts, the telegram was not transmitted correctly.


E20001605: Telegram too large

E20001604: Wrong control characters E20001606: Wrong horizontal checksum
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001605: Telegram too large
E20001605: Telegram too large
No information available.


E20001606: Wrong horizontal checksum

E20001605: Telegram too large E20001607: EOT missing
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001606: Wrong horizontal checksum
E20001606: Wrong horizontal checksum
Three unsuccessful attempts were made to transmit a telegram. The checksum was incorrect for the last attempt.


E20001607: EOT missing

E20001606: Wrong horizontal checksum E20001608: No response from control
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001607: EOT missing
E20001607: EOT missing
The transmission of the telegram was not concluded completely with the EOT character.


E20001608: No response from control

E20001607: EOT missing E20001609: Transmission conflict
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001608: No response from control
E20001608: No response from control
The control does not respond even though the ENQ prompt was sent at three-second intervals.


E20001609: Transmission conflict

E20001608: No response from control E2000160A: Telegram body not acknowledged
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001609: Transmission conflict
E20001609: Transmission conflict
The application is deviating from the protocol.


E2000160A: Telegram body not acknowledged

E20001609: Transmission conflict E2000160B: Error in transmission (three attempts)
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E2000160A: Telegram body not acknowledged
E2000160A: Telegram body not acknowledged
Three unsuccessful attempts were made to transmit a telegram. In the last attempt the data block was not acknowledged with DLE<1>.


E2000160B: Error in transmission (three attempts)

E2000160A: Telegram body not acknowledged E2000160C: Telegram body transmission time too long
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E2000160B: Error in transmission (three attempts)
E2000160B: Error in transmission (three attempts)
Three unsuccessful attempts were made to transmit a telegram.


E2000160C: Telegram body transmission time too long

E2000160B: Error in transmission (three attempts) E2000160D: Interface cannot be activated
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E2000160C: Telegram body transmission time too long
E2000160C: Telegram body transmission time too long
Three unsuccessful attempts were made to transmit a telegram. In the last attempt the maximum block transmission time was exceeded.


E2000160D: Interface cannot be activated

E2000160C: Telegram body transmission time too long E2000160E: No telegram received, although expected
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E2000160D: Interface cannot be activated
E2000160D: Interface cannot be activated
The serial interface given is not available in the system for applications.

Check the settings in the Device Manager.


E2000160E: No telegram received, although expected

E2000160D: Interface cannot be activated E20001611: Message not yet acknowledged
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E2000160E: No telegram received, although expected
E2000160E: No telegram received, although expected
The partner terminal should have send a telegram as part of the dataflow. The user or a timeout canceled the waiting.


E20001611: Message not yet acknowledged

E2000160E: No telegram received, although expected E20001614: No DTR signal
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001611: Message not yet acknowledged
E20001611: Message not yet acknowledged
No information available.


E20001614: No DTR signal

E20001611: Message not yet acknowledged Trouble Shooting
KinematicsDesign / LSV-2 Error Messages / Transmission Errors (Serial) / E20001614: No DTR signal
E20001614: No DTR signal
On the serial interface (RS-232), the DSR and DTR cable pair signals whether a device is attached to the partner terminal and whether it is ready.

The cable might possibly be wired incorrectly or not bridged.


Trouble Shooting

E20001614: No DTR signal The orientation shown does not correspond to the spatial orientation of the current machine
KinematicsDesign / Trouble Shooting
Trouble Shooting
The orientation shown does not correspond to the spatial orientation of the current machine
When the axis positions are changed, the machine base moves relative to other collision objects
A kinematics file cannot be expanded in the tree view
Only the background color is shown in the graphics
Certain areas of a surface have two colors distributed unevenly, and flicker when rotated
No graphics appear, or the graphics look "strange"
In online operation, the tool shown on the control is not the same as that shown in the program
Entering the tool table of lathe controls produces an error message
KinematicsDesign does not run on the dual-processor control


The orientation shown does not correspond to the spatial orientation of the current machine

Trouble Shooting When the axis positions are changed, the machine base moves relative to other collision objects
KinematicsDesign / Trouble Shooting / The orientation shown does not correspond to the spatial orientation of the current machine
The orientation shown does not correspond to the spatial orientation of the current machine
Use the Extras > Orientation command to adapt the view to the real machine.


When the axis positions are changed, the machine base moves relative to other collision objects

The orientation shown does not correspond to the spatial orientation of the current machine A kinematics file cannot be expanded in the tree view
KinematicsDesign / Trouble Shooting / When the axis positions are changed, the machine base moves relative to other collision objects
When the axis positions are changed, the machine base moves relative to other collision objects
Use Insert > Machine Base to define the machine base at the correct position in the kinematics chain.


A kinematics file cannot be expanded in the tree view

When the axis positions are changed, the machine base moves relative to other collision objects Only the background color is shown in the graphics
KinematicsDesign / Trouble Shooting / A kinematics file cannot be expanded in the tree view
A kinematics file cannot be expanded in the tree view
This is an old kinematics description that is not supported by KinematicsDesign.


Only the background color is shown in the graphics

A kinematics file cannot be expanded in the tree view Certain areas of a surface have two colors distributed unevenly, and flicker when rotated
KinematicsDesign / Trouble Shooting / Only the background color is shown in the graphics
Only the background color is shown in the graphics
  • The current kinematics contains an old kinematics description that is not supported by KinematicsDesign.
  • Both the collision objects and the transformations are hidden. Check the settings under View
  • The objects are outside of the displayed area. Reset the view to the initial state with View > Reset Viewing Angle.


Certain areas of a surface have two colors distributed unevenly, and flicker when rotated

Only the background color is shown in the graphics No graphics appear, or the graphics look
KinematicsDesign / Trouble Shooting / Certain areas of a surface have two colors distributed unevenly, and flicker when rotated
Certain areas of a surface have two colors distributed unevenly, and flicker when rotated
This effect occurs when objects pass through each other, or when they touch each other and this area cannot clearly be assigned to a specific object. This is only a cosmetic error in the view. However, you can avoid this effect by slightly changing the size of one of the objects. The surfaces can then be clearly assigned in the model again.


No graphics appear, or the graphics look "strange"

Certain areas of a surface have two colors distributed unevenly, and flicker when rotated In online operation, the tool shown on the control is not the same as that shown in the program
KinematicsDesign / Trouble Shooting / No graphics appear, or the graphics look "strange"
No graphics appear, or the graphics look "strange"
Problems with the graphics card or graphics driver can lead to very divergent effects.

OpenGL is required for the 3-D graphics. OpenGL is generally supported by Windows. Depending on the graphics card and the settings of the graphics card, OpenGL is either more a hardware issue or more a software issue.

If there are problems with the graphics, you should first check if there is an update of the graphics driver available from the manufacturer of the graphics card, and update the driver.

Some of these problems can be solved by reducing the hardware acceleration of the graphics card. This setting depends on the graphics card, and therefore differs from PC to PC.


In online operation, the tool shown on the control is not the same as that shown in the program

No graphics appear, or the graphics look Entering the tool table of lathe controls produces an error message
KinematicsDesign / Trouble Shooting / In online operation, the tool shown on the control is not the same as that shown in the program
In online operation, the tool shown on the control is not the same as that shown in the program
In online operation, only the tool number is updated by the control. This is then applied to the local tool table. First of all, transfer the tool table from the control to the PC.

Tool table


Entering the tool table of lathe controls produces an error message

In online operation, the tool shown on the control is not the same as that shown in the program KinematicsDesign does not run on the dual-processor control
KinematicsDesign / Trouble Shooting / Entering the tool table of lathe controls produces an error message
Entering the tool table of lathe controls produces an error message
The tool table of lathe controls has a different format, which is not yet supported by KinematicsDesign.

Tool table


KinematicsDesign does not run on the dual-processor control

Entering the tool table of lathe controls produces an error message KinematicsDesign does not run on the dual-processor control
KinematicsDesign / Trouble Shooting / KinematicsDesign does not run on the dual-processor control
KinematicsDesign does not run on the dual-processor control
Due to technical problems with OpenGL and the X-Server, KinematicsDesign cannot be started when the control part of a dual-processor control has already been started.